Subject: Re: [PATCH v6 02/39] api-lockfile: revise and expand the documentation

From: Junio C Hamano <[email-masked]>
Date: Tue, 30 Sep 2014 10:47:54 -0700

Jeff King <[email-masked]> writes:

> On Tue, Sep 30, 2014 at 03:41:55PM +0200, Michael Haggerty wrote:
>
>> I didn't fix it because IMO the correct fix is to add a stdio-oriented
>> entry point to the lockfile API, and teach the lockfile code to handle
>> closing the FILE correctly when necessary.
>
> I think so, too, after our discussion[1] surrounding 9540ce5 (refs: write
> packed_refs file using stdio, 2014-09-10).

Yeah, but we already write packed-refs via stdio, so the stdio
oriented lockfile API entry points can no longer be just on the
mythical todo list but needs to become reality before we can merge
this topic sanely.

>> But I didn't want to add even more changes to this patch series, so I am
>> working on this as a separate patch series. I hope to submit it soon.
>
> Yay.

Yay.

Thanks.